<?xml version='1.0' encoding='utf-8'?>
<!DOCTYPE hibernate-configuration PUBLIC
        "-//Hibernate/Hibernate Configuration DTD 3.0//EN"
        "classpath://org/hibernate/hibernate-configuration-3.0.dtd">
<!-- DO NOT CHANGE THE ABOVE DTD LOCATION. IT MUST BE FETCHED FROM THE CLASSPATH.
See https://jira.slac.stanford.edu/browse/LSSTCCS-699 for more details -->
<hibernate-configuration>
  <session-factory>
      <!-- property , for current thread ?-->
      <property name="current_session_context_class">thread</property>
      <property name="hibernate.dialect">org.hibernate.dialect.HSQLDialect</property>
      <property name="hibernate.connection.driver_class">org.hsqldb.jdbcDriver</property>
      <property name="hibernate.connection.url">jdbc:hsqldb:mem:cache_size=200000</property>
      <property name="hibernate.connection.username">root</property>
      <!--property name="hibernate.hbm2ddl.auto">create-drop or update</property-->
      <property name="hibernate.hbm2ddl.auto">create-drop</property>
      <property name="hibernate.show_sql">true</property>
      <property name="hibernate.format_sql">true</property>
      <!--mapping resource="org/lsst/ccs/bootstrap/config/hibernate/hibernate.hbm.xml"/-->
      <mapping class="org.lsst.ccs.localdb.configdb.model.AParameterDescription" />
      <mapping class="org.lsst.ccs.localdb.configdb.model.GhostParameterDescription" />
      <mapping class="org.lsst.ccs.localdb.configdb.model.ASubsystemDescription" />
      <mapping class="org.lsst.ccs.localdb.configdb.model.GhostSubsystemDescription" />
      <mapping class="org.lsst.ccs.localdb.configdb.model.AParameterConfiguration" />
      <mapping class="org.lsst.ccs.localdb.configdb.model.AValueEvent" />
      <mapping class="org.lsst.ccs.localdb.configdb.model.PastParameterConfiguration" />
      <mapping class="org.lsst.ccs.localdb.configdb.model.PastValueEvent" />
      <mapping class="org.lsst.ccs.localdb.configdb.model.AConfigProfile" />
      <mapping class="org.lsst.ccs.localdb.configdb.model.PastConfigProfile" />
      <mapping class="org.lsst.ccs.localdb.configdb.model.RunHistory" />
  </session-factory>
</hibernate-configuration>
